Atualizar lote de assinatura
curl --request PATCH \
--url https://api.juridiq.com.br/signature/batch/{id} \
--header 'Content-Type: application/json' \
--header 'x-juridiq-api-key: <api-key>' \
--data '
{
"name": "<string>",
"isPrivate": true
}
'import requests
url = "https://api.juridiq.com.br/signature/batch/{id}"
payload = {
"name": "<string>",
"isPrivate": True
}
headers = {
"x-juridiq-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-juridiq-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', isPrivate: true})
};
fetch('https://api.juridiq.com.br/signature/batch/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"plugsignLoteId": "<string>",
"status": "<string>",
"officeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"signatories": "<unknown>",
"responsibleId": "<string>",
"isPrivate": true,
"expireDate": "2023-11-07T05:31:56Z",
"responsible": {
"id": "<string>",
"name": "<string>",
"imageUrl": "<string>"
},
"personOnBatches": "<unknown>",
"signatures": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"documentName": "<string>",
"documentKey": "<string>",
"status": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"signName": "<string>",
"signingKey": "<string>",
"signatories": [
{
"contact": "<string>",
"signed": true,
"url": "<string>"
}
],
"responsibleId": "<string>",
"responsible": {
"id": "<string>",
"name": "<string>",
"imageUrl": "<string>"
},
"isPrivate": true,
"personOnSignatures": "<unknown>",
"history": "<unknown>"
}
]
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}Signatures
Atualizar lote de assinatura
PATCH
/
signature
/
batch
/
{id}
Atualizar lote de assinatura
Authorizations
Chave de API do escritório (criada no painel). Envie o valor no header x-juridiq-api-key.
Path Parameters
ID do lote
Response
Default Response
ID do lote
Nome do lote
ID do lote no PlugSign
Status do lote
ID do escritório
Criado em
Atualizado em
Signatários do lote
ID do responsável
Lote privado
Data de expiração
Show child attributes
Show child attributes
Pessoas vinculadas ao lote
Documentos do lote
Show child attributes
Show child attributes
⌘I

